Replace Vm Classes In VDC
Replaces the existing set of Virtual Machine Classes in the VDC with the ones supplied.
Replaces the existing set of Virtual Machine Classes in the VDC with the Virtual Machine Classes (as references) supplied. The request will fail if Virtual Machine Classes are being replaced for a Region Quota with Full Allocation.
Request
URI
PUT
https://{api_host}/cloudapi/v1/virtualDatacenters/{vdcUrn}/virtualMachineClasses
COPY
Path Parameters
string
vdcUrn
Required
vdcUrn
Request Body
EntityReferences
of type(s)
application/json
Optional
{
"resultTotal": 0,
"pageCount": 0,
"page": 0,
"pageSize": 0,
"associations": [
{
"entityId": "string",
"associationId": "string"
}
],
"values": [
{
"name": "string",
"id": "string"
}
]
}
Responses
200
OK
Returns
EntityReferences
of type(s)
application/json;version=9.1.0
This response body class contains all of the following:
Page ,
InlineEntityReferences1
{
"resultTotal": 0,
"pageCount": 0,
"page": 0,
"pageSize": 0,
"associations": [
{
"entityId": "string",
"associationId": "string"
}
],
"values": [
{
"name": "string",
"id": "string"
}
]
}
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"values":["object"]}' https://{api_host}/cloudapi/v1/virtualDatacenters/{vdcUrn}/virtualMachineClasses
Availability
Added in 9.0.0
On This Page
Virtual Datacenter Operations
GET
Get Virtual Datacenters
POST
Create Virtual Datacenter
GET
Get Virtual Datacenter
PUT
Update Virtual Datacenter
DELETE
Delete Virtual Datacenter
GET
Query Vm Classes
POST
Add Vm Classes To VDC
PUT
Replace Vm Classes In VDC
GET
Query Reserved Vm Classes
PUT
Update Reserved Vm Classes
GET
Get Namespaces For Vdc
GET
Get Metadata
POST
Create Metadata Entry
PUT
Replace Metadata Entries
GET
Get Metadata Entry
PUT
Update Metadata Entry
DELETE
Delete Metadata Entry
PUT
Update Virtual Datacenter Storage Policies
GET
Query Vdc Infra Policies
PUT
Update Vdc Infra Policies